#
# spec file for package python-peppercorn
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-peppercorn
Version:        0.5
Release:        3.8
Summary:        Pyramid exceptions logger
License:        BSD-4-Clause AND ZPL-2.1 AND MIT
Group:          Development/Languages/Python
Url:            http://docs.pylonsproject.org/projects/peppercorn/en/latest/
Source:         https://files.pythonhosted.org/packages/source/p/peppercorn/peppercorn-%{version}.tar.gz
# PATCH-FIX-OPENSUSE hpj@urpla.net peppercorn-0.5-fix-pylons-theme.patch -- use pylons theme properly
Patch:          peppercorn-0.5-fix-pylons-theme.patch
# Documentation requirements:
BuildRequires:  python3-Sphinx
# Testing requirements:
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pylons-sphinx-themes}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
A library for converting a token stream into a data structure comprised of
sequences, mappings, and scalars, developed primarily for converting HTTP form
POST data into a richer data structure.

Please see the -doc package or
http://docs.pylonsproject.org/projects/peppercorn/en/latest/ for the
documentation.

%package -n %{name}-doc
Summary:        Documentation for Pyramid exceptions logger
Group:          Documentation/HTML

%description -n %{name}-doc
This package contains documentation for %{name}.

%prep
%setup -q -n peppercorn-%{version}
%patch -p1

%build
%python_build
python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py nosetests --with-coverage

%files %{python_files}
%defattr(-,root,root,-)
%if 0%{?leap_version} >= 420200 || 0%{?suse_version} > 1320
%license LICENSE.txt
%else
%doc LICENSE.txt
%endif
%doc CHANGES.txt CONTRIBUTORS.txt COPYRIGHT.txt README.txt
%{python_sitelib}/*

%files -n %{name}-doc
%defattr(-,root,root,-)
%doc build/sphinx/html

%changelog
* Tue Dec 18 2018 jengelh@inai.de
- Grammar fixes for the description. Remove an excessive Requires.
* Thu Jun 21 2018 hpj@urpla.net
- add patch peppercorn-0.5-fix-pylons-theme.patch to build docs properly
* Wed Oct  4 2017 bruno@ioda-net.ch
- Build doc with python3 only
* Tue Sep 19 2017 bruno@ioda-net.ch
- Migrate to singlespec with spec-cleanup
* Fri Feb  6 2015 hpj@urpla.net
- version 0.5
  - Switch to an iterative parser rather than a recursive parser to avoid DoS
    attacks.
  - Add the ignore operation. The subsequent data elements in the stream will
    be ignored until the corresponding __end__ marker. This feature is useful
    for form elements designed for client-side scripting, such as a “select all”
    checkbox in the middle of a list of other kinds of fields.
  - Add support for Python 3.3.
  - Drop support for Python 2.5 / Jython.
* Mon Aug  5 2013 hpj@urpla.net
- version 0.4: initial build
